---
title: opacity
slug: Web/CSS/opacity
tags:
  - CSS
  - CSS Property
  - Opacity
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>opacity</code></strong> CSS property sets the opacity of an element. Opacity is the degree to which content behind an element is hidden, and is the opposite of transparency.</p>

<div>{{EmbedInteractiveExample("pages/css/opacity.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;alpha-value&gt;</code></dt>
 <dd>A {{cssxref("number")}} in the range <code>0.0</code> to <code>1.0</code>, inclusive, or a {{cssxref("percentage")}} in the range <code>0%</code> to <code>100%</code>, inclusive, representing the opacity of the channel (that is, the value of its alpha channel). Any value outside the interval, though valid, is clamped to the nearest limit in the range.
 <table class="standard-table">
  <tbody>
   <tr>
    <th>Value</th>
    <th>Meaning</th>
   </tr>
   <tr>
    <td><code>0</code></td>
    <td>The element is fully transparent (that is, invisible).</td>
   </tr>
   <tr>
    <td>Any {{cssxref("number")}} strictly between <code>0</code> and <code>1</code></td>
    <td>The element is translucent (that is, content behind the element can be seen).</td>
   </tr>
   <tr>
    <td><code>1</code> (default value)</td>
    <td>The element is fully opaque (visually solid).</td>
   </tr>
  </tbody>
 </table>
 </dd>
</dl>

<h2 id="Description">Description</h2>

<p><code>opacity</code> applies to the element as a whole, including its contents, even though the value is not inherited by child elements. Thus, the element and its children all have the same opacity relative to the element's background, even if they have different opacities relative to one another.</p>

<p>Using <code>opacity</code> with a value other than <code>1</code> places the element in a new <a href="/en-US/docs/Web/CSS/CSS_Positioning/Understanding_z_index/The_stacking_context">stacking context</a>.</p>

<p>If you <a href="http://stackoverflow.com/questions/13508877/resetting-the-opacity-of-a-child-elements-maple-browser-samsung-tv-app">do not want to apply opacity to child elements</a>, use the {{cssxref("background")}} property instead. For example:</p>

<pre class="brush:css notranslate">background: rgba(0, 0, 0, 0.4);</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>If text opacity is adjusted, it is important to ensure that the contrast ratio between the color of the text and the background the text is placed over is high enough that people experiencing low vision conditions will be able to read the content of the page.</p>

<p>Color contrast ratio is determined by comparing the luminosity of the opacity-adjusted text and background color values. In order to meet current <a href="https://www.w3.org/WAI/intro/wcag">Web Content Accessibility Guidelines (WCAG)</a>, a ratio of 4.5:1 is required for text content and 3:1 for larger text such as headings. Large text is defined as 18.66px and <a href="/en-US/docs/Web/CSS/font-weight">bold</a> or larger, or 24px or larger.</p>

<ul>
 <li><a href="https://webaim.org/resources/contrastchecker/">WebAIM: Color Contrast Checker</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-contrast.html">Understanding Success Criterion 1.4.3 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_background_opacity">Setting background opacity</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="light"&gt;You can barely see this.&lt;/div&gt;
&lt;div class="medium"&gt;This is easier to see.&lt;/div&gt;
&lt;div class="heavy"&gt;This is very easy to see.&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div { background-color: yellow; }
.light {
  opacity: 0.2; /* Barely see the text over the background */
}
.medium {
  opacity: 0.5; /* See the text more clearly over the background */
}
.heavy {
  opacity: 0.9; /* See the text very clearly over the background */
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_background_opacity', '640', '64')}}</p>

<h3 id="Setting_opacity_on_hover">Setting opacity on hover</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;img src="<a href="https://developer.mozilla.org/static/img/opengraph-logo.png">//developer.mozilla.org/static/img/opengraph-logo.png</a>"
  alt="MDN logo" width="128" height="146"
  class="opacity"&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">img.opacity {
  opacity: 1;
  filter: alpha(opacity=100); /* IE8 and lower */
  zoom: 1; /* Triggers "hasLayout" in IE 7 and lower */
}

img.opacity:hover {
  opacity: 0.5;
  filter: alpha(opacity=50);
  zoom: 1;
}</pre>

<p class="brush: css"></p>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('Setting_opacity_on_hover', '150', '175')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Colors', '#transparency', 'opacity')}}</td>
   <td>{{Spec2('CSS4 Colors')}}</td>
   <td>Defines percentage opacity values.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Colors', '#opacity', 'opacity')}}</td>
   <td>{{Spec2('CSS3 Colors')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.opacity", 2)}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="http://msdn.microsoft.com/en-us/library/ms532910%28VS.85%29.aspx">Microsoft's filter:alpha(opacity=xx)</a></li>
</ul>
